List fee invoices
curl --request GET \
--url https://api.interchange.io/api/v2/billing/fee-invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/billing/fee-invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/billing/fee-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invoices": [
{
"invoiceNumber": 0,
"invoiceRef": "FEE-000042",
"cycleKey": "2026-07",
"cycleStart": "2023-11-07T05:31:56Z",
"cycleEnd": "2023-11-07T05:31:56Z",
"currency": "USD",
"totalMinor": 0,
"paymentTerms": "net_15",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Buyer Billing
List fee invoices
The org’s IU fee invoices, newest first — one per charged billing cycle, with gapless sequential numbering. Empty until the org’s first charged cycle closes.
GET
/
billing
/
fee-invoices
List fee invoices
curl --request GET \
--url https://api.interchange.io/api/v2/billing/fee-invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/billing/fee-invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/billing/fee-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invoices": [
{
"invoiceNumber": 0,
"invoiceRef": "FEE-000042",
"cycleKey": "2026-07",
"cycleStart": "2023-11-07T05:31:56Z",
"cycleEnd": "2023-11-07T05:31:56Z",
"currency": "USD",
"totalMinor": 0,
"paymentTerms": "net_15",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Direct child customer to read or update from an authorized parent billing organization
Pattern:
^[1-9][0-9]*$Response
List fee invoices
Fee invoices for the caller’s org, newest first. Empty until the org’s first charged billing cycle closes.
Show child attributes
Show child attributes